# MatPartitioningView

Prints the partitioning data structure.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningView(MatPartitioning part,PetscViewer viewer)

Collective on MatPartitioning

### Input Parameters

part -the partitioning context
viewer -optional visualization context

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open alternative visualization contexts with

PetscViewerASCIIOpen() -output to a specified file

### Keywords

Partitioning, view

### See Also

PetscViewerASCIIOpen()

Level:intermediate
Location: src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages